Name:		vimpal		
Version:	1.3.0
Release:	1%{?dist}
Summary:	Separate application providing a file tree for VIM
License:	GPLv3+
URL:		http://vimpal.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}_%{version}.tar.gz
Source1:	vimpal.desktop
BuildRequires:	qt-devel
BuildRequires:	desktop-file-utils
Requires:	vim-X11

%description
Simple and small application that can be used to select the files you want
to edit in Vim.

%prep
%setup -q -n %{name}_%{version}
# I provide an icon without a name so generic
cp -p img/icon.png img/vimpal.png

%build
qmake-qt4
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}/
install -pm 0755 vimpal %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -pm 0644 img/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{SOURCE1}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README gpl.txt
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Nov 12 2013 Eduardo Echeverria <echevemaster@gmail.com> - 1.3.0-1
- Bumped to the new upstream version 1.3.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Eduardo Echeverria <echevemaster@gmail.com> - 1.2.0-1
- Update to version 1.2.0

* Thu Dec 27 2012 Eduardo Echeverria <echevemaster@gmail.com> - 1.1.0-1
- Initial Packaging
